Skip to main content
POST
/
v1
/
sdk
/
link
Create a typed edge between two nodes.
curl --request POST \
  --url https://api.reload.chat/v1/sdk/link \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_id": "<string>",
  "to_id": "<string>",
  "properties": {}
}
'
{
  "data": {
    "id": "<string>",
    "from_id": "<string>",
    "from_type": "<string>",
    "to_id": "<string>",
    "to_type": "<string>",
    "properties": {},
    "created_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
from_id
string
required
to_id
string
required
edge_type
enum<string>
required

Locked context-graph edge catalogue.

Available options:
OWNS,
OPERATED_BY,
MEMBER_OF,
IN_SCOPE,
IN_CHANNEL,
AUTHORED,
IN_THREAD,
MENTIONS,
DERIVED_FROM,
STATED_BY,
SUPERSEDES,
CONTRADICTS,
SUPPORTS,
REFERENCES,
CAN_READ,
CAN_WRITE
to_type
enum<string>

Target node kind for a generic edge.

Available options:
memory,
message,
artifact,
identity
properties
object

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object